/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { ChaikinOscillatorIndicatorStrategy } from "./ChaikinOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core";
/**
 * @hidden
 */
export let ChaikinOscillatorIndicator = /*@__PURE__*/ (() => {
    class ChaikinOscillatorIndicator extends StrategyBasedIndicator {
        bj() {
            return new ChaikinOscillatorIndicator();
        }
        get_abt() {
            return new ChaikinOscillatorIndicatorStrategy();
        }
        get abt() {
            return this.get_abt();
        }
        get_ab6() {
            return ChaikinOscillatorIndicator.$;
        }
        get ab6() {
            return this.get_ab6();
        }
        get shortPeriod() {
            return typeGetValue(this.c(ChaikinOscillatorIndicator.acf));
        }
        set shortPeriod(a) {
            this.h(ChaikinOscillatorIndicator.acf, a);
        }
        ab1() {
            return this.shortPeriod;
        }
        get longPeriod() {
            return typeGetValue(this.c(ChaikinOscillatorIndicator.ace));
        }
        set longPeriod(a) {
            this.h(ChaikinOscillatorIndicator.ace, a);
        }
        aby() {
            return this.longPeriod;
        }
    }
    ChaikinOscillatorIndicator.$t = /*@__PURE__*/ markType(ChaikinOscillatorIndicator, 'ChaikinOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
    ChaikinOscillatorIndicator.acf = /*@__PURE__*/ StrategyBasedIndicator.acd(3, ChaikinOscillatorIndicator.$);
    ChaikinOscillatorIndicator.ace = /*@__PURE__*/ StrategyBasedIndicator.ab9(10, ChaikinOscillatorIndicator.$);
    return ChaikinOscillatorIndicator;
})();
